# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsSubversion/SvnLogBrowserDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SvnLogBrowserDialog(object):
    def setupUi(self, SvnLogBrowserDialog):
        SvnLogBrowserDialog.setObjectName("SvnLogBrowserDialog")
        SvnLogBrowserDialog.resize(700, 800)
        self.verticalLayout = QtWidgets.QVBoxLayout(SvnLogBrowserDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.hboxlayout = QtWidgets.QHBoxLayout()
        self.hboxlayout.setObjectName("hboxlayout")
        self.label = QtWidgets.QLabel(parent=SvnLogBrowserDialog)
        self.label.setObjectName("label")
        self.hboxlayout.addWidget(self.label)
        self.fromDate = QtWidgets.QDateEdit(parent=SvnLogBrowserDialog)
        self.fromDate.setCalendarPopup(True)
        self.fromDate.setObjectName("fromDate")
        self.hboxlayout.addWidget(self.fromDate)
        self.label_2 = QtWidgets.QLabel(parent=SvnLogBrowserDialog)
        self.label_2.setObjectName("label_2")
        self.hboxlayout.addWidget(self.label_2)
        self.toDate = QtWidgets.QDateEdit(parent=SvnLogBrowserDialog)
        self.toDate.setCalendarPopup(True)
        self.toDate.setObjectName("toDate")
        self.hboxlayout.addWidget(self.toDate)
        self.fieldCombo = QtWidgets.QComboBox(parent=SvnLogBrowserDialog)
        self.fieldCombo.setObjectName("fieldCombo")
        self.fieldCombo.addItem("")
        self.fieldCombo.addItem("")
        self.fieldCombo.addItem("")
        self.hboxlayout.addWidget(self.fieldCombo)
        self.rxEdit = QtWidgets.QLineEdit(parent=SvnLogBrowserDialog)
        self.rxEdit.setClearButtonEnabled(True)
        self.rxEdit.setObjectName("rxEdit")
        self.hboxlayout.addWidget(self.rxEdit)
        self.verticalLayout.addLayout(self.hboxlayout)
        self.logTree = QtWidgets.QTreeWidget(parent=SvnLogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(5)
        sizePolicy.setHeightForWidth(self.logTree.sizePolicy().hasHeightForWidth())
        self.logTree.setSizePolicy(sizePolicy)
        self.logTree.setAlternatingRowColors(True)
        self.logTree.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.logTree.setRootIsDecorated(False)
        self.logTree.setItemsExpandable(False)
        self.logTree.setAllColumnsShowFocus(True)
        self.logTree.setObjectName("logTree")
        self.verticalLayout.addWidget(self.logTree)
        self.messageEdit = QtWidgets.QTextEdit(parent=SvnLogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(2)
        sizePolicy.setHeightForWidth(self.messageEdit.sizePolicy().hasHeightForWidth())
        self.messageEdit.setSizePolicy(sizePolicy)
        self.messageEdit.setReadOnly(True)
        self.messageEdit.setObjectName("messageEdit")
        self.verticalLayout.addWidget(self.messageEdit)
        self.filesTree = QtWidgets.QTreeWidget(parent=SvnLogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(3)
        sizePolicy.setHeightForWidth(self.filesTree.sizePolicy().hasHeightForWidth())
        self.filesTree.setSizePolicy(sizePolicy)
        self.filesTree.setAlternatingRowColors(True)
        self.filesTree.setRootIsDecorated(False)
        self.filesTree.setItemsExpandable(False)
        self.filesTree.setAllColumnsShowFocus(True)
        self.filesTree.setObjectName("filesTree")
        self.verticalLayout.addWidget(self.filesTree)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.nextButton = QtWidgets.QPushButton(parent=SvnLogBrowserDialog)
        self.nextButton.setObjectName("nextButton")
        self.gridLayout.addWidget(self.nextButton, 0, 0, 2, 1)
        self.limitSpinBox = QtWidgets.QSpinBox(parent=SvnLogBrowserDialog)
        self.limitSpinBox.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight|QtCore.Qt.AlignmentFlag.AlignTrailing|QtCore.Qt.AlignmentFlag.AlignVCenter)
        self.limitSpinBox.setMinimum(1)
        self.limitSpinBox.setMaximum(10000)
        self.limitSpinBox.setProperty("value", 20)
        self.limitSpinBox.setObjectName("limitSpinBox")
        self.gridLayout.addWidget(self.limitSpinBox, 0, 1, 2, 1)
        self.stopCheckBox = QtWidgets.QCheckBox(parent=SvnLogBrowserDialog)
        self.stopCheckBox.setObjectName("stopCheckBox")
        self.gridLayout.addWidget(self.stopCheckBox, 0, 2, 2, 2)
        self.diffPreviousButton = QtWidgets.QPushButton(parent=SvnLogBrowserDialog)
        self.diffPreviousButton.setObjectName("diffPreviousButton")
        self.gridLayout.addWidget(self.diffPreviousButton, 0, 5, 2, 1)
        self.diffRevisionsButton = QtWidgets.QPushButton(parent=SvnLogBrowserDialog)
        self.diffRevisionsButton.setObjectName("diffRevisionsButton")
        self.gridLayout.addWidget(self.diffRevisionsButton, 0, 6, 2, 1)
        spacerItem = QtWidgets.QSpacerItem(39, 26, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 7, 2, 1)
        self.line = QtWidgets.QFrame(parent=SvnLogBrowserDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.gridLayout.addWidget(self.line, 1, 3, 2, 1)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.upButton = QtWidgets.QToolButton(parent=SvnLogBrowserDialog)
        self.upButton.setAutoRepeat(True)
        self.upButton.setObjectName("upButton")
        self.horizontalLayout.addWidget(self.upButton)
        self.downButton = QtWidgets.QToolButton(parent=SvnLogBrowserDialog)
        self.downButton.setAutoRepeat(True)
        self.downButton.setObjectName("downButton")
        self.horizontalLayout.addWidget(self.downButton)
        self.gridLayout.addLayout(self.horizontalLayout, 1, 4, 1, 1)
        self.sbsCheckBox = QtWidgets.QCheckBox(parent=SvnLogBrowserDialog)
        self.sbsCheckBox.setObjectName("sbsCheckBox")
        self.gridLayout.addWidget(self.sbsCheckBox, 2, 4, 1, 3)
        self.verticalLayout.addLayout(self.gridLayout)
        self.errorGroup = QtWidgets.QGroupBox(parent=SvnLogBrowserDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Preferred, QtWidgets.QSizePolicy.Policy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.errorGroup.sizePolicy().hasHeightForWidth())
        self.errorGroup.setSizePolicy(sizePolicy)
        self.errorGroup.setObjectName("errorGroup")
        self.vboxlayout = QtWidgets.QVBoxLayout(self.errorGroup)
        self.vboxlayout.setObjectName("vboxlayout")
        self.errors = QtWidgets.QTextEdit(parent=self.errorGroup)
        self.errors.setReadOnly(True)
        self.errors.setAcceptRichText(False)
        self.errors.setObjectName("errors")
        self.vboxlayout.addWidget(self.errors)
        self.verticalLayout.addWidget(self.errorGroup)
        self.inputGroup = QtWidgets.QGroupBox(parent=SvnLogBrowserDialog)
        self.inputGroup.setObjectName("inputGroup")
        self.gridlayout = QtWidgets.QGridLayout(self.inputGroup)
        self.gridlayout.setObjectName("gridlayout")
        spacerItem1 = QtWidgets.QSpacerItem(327, 29, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.gridlayout.addItem(spacerItem1, 1, 1, 1, 1)
        self.sendButton = QtWidgets.QPushButton(parent=self.inputGroup)
        self.sendButton.setObjectName("sendButton")
        self.gridlayout.addWidget(self.sendButton, 1, 2, 1, 1)
        self.input = QtWidgets.QLineEdit(parent=self.inputGroup)
        self.input.setObjectName("input")
        self.gridlayout.addWidget(self.input, 0, 0, 1, 3)
        self.passwordCheckBox = QtWidgets.QCheckBox(parent=self.inputGroup)
        self.passwordCheckBox.setObjectName("passwordCheckBox")
        self.gridlayout.addWidget(self.passwordCheckBox, 1, 0, 1, 1)
        self.verticalLayout.addWidget(self.inputGroup)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SvnLogBrowserDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(SvnLogBrowserDialog)
        QtCore.QMetaObject.connectSlotsByName(SvnLogBrowserDialog)
        SvnLogBrowserDialog.setTabOrder(self.fromDate, self.toDate)
        SvnLogBrowserDialog.setTabOrder(self.toDate, self.fieldCombo)
        SvnLogBrowserDialog.setTabOrder(self.fieldCombo, self.rxEdit)
        SvnLogBrowserDialog.setTabOrder(self.rxEdit, self.logTree)
        SvnLogBrowserDialog.setTabOrder(self.logTree, self.messageEdit)
        SvnLogBrowserDialog.setTabOrder(self.messageEdit, self.filesTree)
        SvnLogBrowserDialog.setTabOrder(self.filesTree, self.nextButton)
        SvnLogBrowserDialog.setTabOrder(self.nextButton, self.limitSpinBox)
        SvnLogBrowserDialog.setTabOrder(self.limitSpinBox, self.stopCheckBox)
        SvnLogBrowserDialog.setTabOrder(self.stopCheckBox, self.upButton)
        SvnLogBrowserDialog.setTabOrder(self.upButton, self.downButton)
        SvnLogBrowserDialog.setTabOrder(self.downButton, self.diffPreviousButton)
        SvnLogBrowserDialog.setTabOrder(self.diffPreviousButton, self.diffRevisionsButton)
        SvnLogBrowserDialog.setTabOrder(self.diffRevisionsButton, self.sbsCheckBox)
        SvnLogBrowserDialog.setTabOrder(self.sbsCheckBox, self.errors)
        SvnLogBrowserDialog.setTabOrder(self.errors, self.input)
        SvnLogBrowserDialog.setTabOrder(self.input, self.passwordCheckBox)
        SvnLogBrowserDialog.setTabOrder(self.passwordCheckBox, self.sendButton)

    def retranslateUi(self, SvnLogBrowserDialog):
        _translate = QtCore.QCoreApplication.translate
        SvnLogBrowserDialog.setWindowTitle(_translate("SvnLogBrowserDialog", "Subversion Log"))
        self.label.setText(_translate("SvnLogBrowserDialog", "From:"))
        self.fromDate.setToolTip(_translate("SvnLogBrowserDialog", "Enter the start date"))
        self.label_2.setText(_translate("SvnLogBrowserDialog", "To:"))
        self.toDate.setToolTip(_translate("SvnLogBrowserDialog", "Enter the end date"))
        self.fieldCombo.setToolTip(_translate("SvnLogBrowserDialog", "Select the field to filter on"))
        self.fieldCombo.setItemText(0, _translate("SvnLogBrowserDialog", "Revision"))
        self.fieldCombo.setItemText(1, _translate("SvnLogBrowserDialog", "Author"))
        self.fieldCombo.setItemText(2, _translate("SvnLogBrowserDialog", "Message"))
        self.rxEdit.setToolTip(_translate("SvnLogBrowserDialog", "Enter the regular expression to filter on"))
        self.logTree.setSortingEnabled(True)
        self.logTree.headerItem().setText(0, _translate("SvnLogBrowserDialog", "Revision"))
        self.logTree.headerItem().setText(1, _translate("SvnLogBrowserDialog", "Author"))
        self.logTree.headerItem().setText(2, _translate("SvnLogBrowserDialog", "Date"))
        self.logTree.headerItem().setText(3, _translate("SvnLogBrowserDialog", "Message"))
        self.filesTree.setSortingEnabled(True)
        self.filesTree.headerItem().setText(0, _translate("SvnLogBrowserDialog", "Action"))
        self.filesTree.headerItem().setText(1, _translate("SvnLogBrowserDialog", "Path"))
        self.filesTree.headerItem().setText(2, _translate("SvnLogBrowserDialog", "Copy from"))
        self.filesTree.headerItem().setText(3, _translate("SvnLogBrowserDialog", "Copy from Rev"))
        self.nextButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to get the next bunch of log entries"))
        self.nextButton.setText(_translate("SvnLogBrowserDialog", "&Next"))
        self.limitSpinBox.setToolTip(_translate("SvnLogBrowserDialog", "Enter the limit of entries to fetch"))
        self.stopCheckBox.setToolTip(_translate("SvnLogBrowserDialog", "Select to stop listing log messages at a copy or move"))
        self.stopCheckBox.setText(_translate("SvnLogBrowserDialog", "Stop on Copy/Move"))
        self.diffPreviousButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to generate a diff to the previous revision"))
        self.diffPreviousButton.setText(_translate("SvnLogBrowserDialog", "&Diff to Previous"))
        self.diffRevisionsButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to compare two revisions"))
        self.diffRevisionsButton.setText(_translate("SvnLogBrowserDialog", "&Compare Revisions"))
        self.upButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to move up in the log list"))
        self.downButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to move down in the log list"))
        self.sbsCheckBox.setToolTip(_translate("SvnLogBrowserDialog", "Select to show differences side-by-side"))
        self.sbsCheckBox.setText(_translate("SvnLogBrowserDialog", "Show differences side-by-side"))
        self.errorGroup.setTitle(_translate("SvnLogBrowserDialog", "Errors"))
        self.errors.setWhatsThis(_translate("SvnLogBrowserDialog", "<b>Subversion log errors</b><p>This shows possible error messages of the svn log command.</p>"))
        self.inputGroup.setTitle(_translate("SvnLogBrowserDialog", "Input"))
        self.sendButton.setToolTip(_translate("SvnLogBrowserDialog", "Press to send the input to the subversion process"))
        self.sendButton.setText(_translate("SvnLogBrowserDialog", "&Send"))
        self.sendButton.setShortcut(_translate("SvnLogBrowserDialog", "Alt+S"))
        self.input.setToolTip(_translate("SvnLogBrowserDialog", "Enter data to be sent to the subversion process"))
        self.passwordCheckBox.setToolTip(_translate("SvnLogBrowserDialog", "Select to switch the input field to password mode"))
        self.passwordCheckBox.setText(_translate("SvnLogBrowserDialog", "&Password Mode"))
        self.passwordCheckBox.setShortcut(_translate("SvnLogBrowserDialog", "Alt+P"))
